summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authoroberon20072015-09-21 23:44:24 +0200
committeroberon20072015-09-21 23:44:24 +0200
commit19609f775bfe7cde2ed255c0e401480b326499c9 (patch)
tree482efc201e7899b0667d422dfe0f3a4b76bffdaf
downloadaur-19609f775bfe7cde2ed255c0e401480b326499c9.tar.gz
new
-rw-r--r--.SRCINFO30
-rw-r--r--PKGBUILD84
-rw-r--r--cnijfilter-mg2100.install11
-rw-r--r--cups.patch37
-rw-r--r--id.po.patch14
-rw-r--r--png.patch12
6 files changed, 188 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..dd1cf3cb002
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,30 @@
+pkgbase = cnijfilter-mg2100
+ pkgdesc = Canon IJ Printer Driver for Pixma mg2100 (MG2140, MG2150, etc) multifunction
+ pkgver = 3.60
+ pkgrel = 2
+ url = http://www.canon-europe.com/Support/Consumer_Products/products/Fax__Multifunctionals/InkJet/PIXMA_MG_series/PIXMA_MG2140.aspx?DLtcmuri=tcm:13-863337&page=1&type=download
+ install = cnijfilter-mg2100.install
+ arch = x86_64
+ license = GPL2
+ license = LGPL2
+ license = custom
+ makedepends = autoconf>=2.13
+ makedepends = automake>=1.6
+ makedepends = tar
+ makedepends = make
+ makedepends = gcc
+ depends = libglade
+ depends = cups
+ depends = ghostscript
+ conflicts = cnijfilter-common
+ source = http://files.canon-europe.com/files/soft40869/software/cnijfilter-source-3.60-2.tar.gz
+ source = cups.patch
+ source = id.po.patch
+ source = png.patch
+ md5sums = 70e412331a21f4b573b4e901c89cee18
+ md5sums = a8a716cad93bd90853129c46006f20ad
+ md5sums = 35327dc628d1a22ed0f4db9554d67484
+ md5sums = 55f00585a45cf14944b4542c5ab71a76
+
+pkgname = cnijfilter-mg2100
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..7a4573ed984
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,84 @@
+# Maintainer: Bernhard Landauer <oberon@manjaro.org>
+# Contributor: Andrew Meakovski <meako689@gmail.com>
+# PKGBUILD based on: Robert Mihaly <robb.mihaly@gmail.com>
+# PKGBUILD based on: Gary Ayre <catchfire@gmail.com>
+# PKGBUILD based on: Eric Le Bras <eric.lebras@gmail.com>
+
+printername="mg2100"
+printercode=386 #Codename for driver
+pkgname=cnijfilter-${printername}
+pkgver=3.60
+pkgrel=1
+pkgdesc="Canon IJ Printer Driver for Pixma ${printername} (MG2140, MG2150, etc) multifunction"
+arch=('x86_64')
+url="http://www.canon-europe.com/Support/Consumer_Products/products/Fax__Multifunctionals/InkJet/PIXMA_MG_series/PIXMA_MG2140.aspx?DLtcmuri=tcm:13-863337&page=1&type=download"
+license=('GPL2' 'LGPL2' 'custom')
+depends=('libglade' 'cups' 'ghostscript')
+makedepends=('autoconf>=2.13' 'automake>=1.6' 'tar' 'make' 'gcc')
+conflicts=('cnijfilter-common')
+install=cnijfilter-${printername}.install
+source=("http://gdlp01.c-wss.com/gds/8/0100003928/01/cnijfilter-source-${pkgver}-${pkgrel}.tar.gz" "cups.patch" "id.po.patch" "png.patch")
+#source=("http://files.canon-europe.com/files/soft40869/software/cnijfilter-source-${pkgver}-${pkgrel}.tar.gz" "cups.patch" "id.po.patch" "png.patch")
+md5sums=('70e412331a21f4b573b4e901c89cee18' 'a8a716cad93bd90853129c46006f20ad' '35327dc628d1a22ed0f4db9554d67484' '55f00585a45cf14944b4542c5ab71a76')
+
+package() {
+ cd ${srcdir}
+ tar xzf cnijfilter-source-${pkgver}-${pkgrel}.tar.gz
+
+ patch -Np0 -i $srcdir/cups.patch || return 1
+ patch -Np0 -i $srcdir/id.po.patch || return 1
+ patch -Np0 -i $srcdir/png.patch || return 1
+
+ cd ${srcdir}/cnijfilter-source-${pkgver}-${pkgrel}/backend
+ ./autogen.sh --prefix=/usr --program-suffix=${printername} --enable-progpath=/usr/bin || return 1
+ make install DESTDIR=${pkgdir} || return 1
+
+ cd ${srcdir}/cnijfilter-source-${pkgver}-${pkgrel}/libs
+ ./autogen.sh --prefix=/usr --program-suffix=${printername} || return 1
+ make install DESTDIR=${pkgdir} || return 1
+
+ cd ${srcdir}/cnijfilter-source-${pkgver}-${pkgrel}/pstocanonij
+ ./autogen.sh --prefix=/usr --program-suffix=${printername} --enable-binpath=/usr/bin --enable-progpath=/usr/bin || return 1
+ make install DESTDIR=${pkgdir} || return 1
+
+ cd ${srcdir}/cnijfilter-source-${pkgver}-${pkgrel}/cngpij
+ ./autogen.sh --prefix=/usr --program-suffix=${printername} --enable-binpath=/usr/bin --enable-progpath=/usr/bin || return 1
+ make install DESTDIR=${pkgdir} || return 1
+
+ cd ${srcdir}/cnijfilter-source-${pkgver}-${pkgrel}/ppd
+ ./autogen.sh --prefix=/usr --program-suffix=${printername} || return 1
+ make install DESTDIR=${pkgdir} || return 1
+
+ cd ${srcdir}/cnijfilter-source-${pkgver}-${pkgrel}/cnijfilter
+ ./autogen.sh --prefix=/usr --program-suffix=${printername} --enable-libpath=/usr/lib/bjlib --enable-binpath=/usr/bin --enable-progpath=/usr/bin || return 1
+ make clean
+ make || return 1
+ make install DESTDIR=${pkgdir} || return 1
+
+ cd ${srcdir}/cnijfilter-source-${pkgver}-${pkgrel}/printui
+ ./autogen.sh --prefix=/usr --program-suffix=${printername} --datadir=/usr/share --enable-progpath=/usr/bin || return 1
+ make clean
+ make || return 1
+ make install DESTDIR=${pkgdir} || return 1
+
+ cd ${srcdir}/cnijfilter-source-${pkgver}-${pkgrel}/lgmon
+ ./autogen.sh --prefix=/usr --program-suffix=${printername} --enable-binpath=/usr/bin --enable-progpath=/usr/bin || return 1
+ make clean
+ make || return 1
+ make install DESTDIR=${pkgdir} || return 1
+
+ cd ${srcdir}/cnijfilter-source-${pkgver}-${pkgrel}/cngpijmon
+ ./autogen.sh --prefix=/usr --program-suffix=${printername} --enable-progpath=/usr/bin || return 1
+ make clean
+ make || return 1
+ make install DESTDIR=${pkgdir} || return 1
+
+ cd ${srcdir}/cnijfilter-source-${pkgver}-${pkgrel}
+ install -d ${pkgdir}/usr/lib/bjlib
+ install -m 755 ${printercode}/database/* ${pkgdir}/usr/lib/bjlib
+ install -s -m 755 ${printercode}/libs_bin64/*.so.* ${pkgdir}/usr/lib
+ install -D LICENSE-cnijfilter-${pkgver}EN.txt ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE-cnijfilter-${pkgver}EN.txt
+ ln -s /usr/lib/cups/filter/pstocanonij${printername} ${pkgdir}/usr/lib/cups/filter/pstocanonij
+ chown -R root:root ${pkgdir}/usr/
+
+}
diff --git a/cnijfilter-mg2100.install b/cnijfilter-mg2100.install
new file mode 100644
index 00000000000..5f10cfd3340
--- /dev/null
+++ b/cnijfilter-mg2100.install
@@ -0,0 +1,11 @@
+post_install() {
+ if [ -x /sbin/ldconfig ]; then
+ /sbin/ldconfig
+ fi
+}
+post_upgrade() {
+ post_install
+}
+post_remove() {
+ post_install
+}
diff --git a/cups.patch b/cups.patch
new file mode 100644
index 00000000000..960d5a331d6
--- /dev/null
+++ b/cups.patch
@@ -0,0 +1,37 @@
+diff -ur cnijfilter-source-3.60-1/backend/src/cnij_backend_common.c cnijfilter-source-3.60-1_patched/backend/src/cnij_backend_common.c
+--- cnijfilter-source-3.60-1/backend/src/cnij_backend_common.c 2011-02-14 09:27:08.000000000 +0200
++++ cnijfilter-source-3.60-1_patched/backend/src/cnij_backend_common.c 2012-10-28 16:12:56.205438499 +0200
+@@ -38,6 +38,7 @@
+ // CUPS Header
+ #include <cups/cups.h>
+ #include <cups/ipp.h>
++#include <cups/ppd.h>
+
+ // Header file for CANON
+ #include "cnij_backend_common.h"
+diff -ur cnijfilter-source-3.60-1/cngpij/cngpij/bjcups.c cnijfilter-source-3.60-1_patched/cngpij/cngpij/bjcups.c
+--- cnijfilter-source-3.60-1/cngpij/cngpij/bjcups.c 2011-03-22 11:57:29.000000000 +0200
++++ cnijfilter-source-3.60-1_patched/cngpij/cngpij/bjcups.c 2012-10-28 16:12:08.952093361 +0200
+@@ -21,6 +21,7 @@
+ #include <config.h>
+ #endif // HAVE_CONFIG_H
+
++#define _IPP_PRIVATE_STRUCTURES 1
+ #include <cups/cups.h>
+ #include <cups/language.h>
+ #include <cups/ppd.h>
+diff -ur cnijfilter-source-3.60-1/cngpijmon/src/bjcupsmon_cups.c cnijfilter-source-3.60-1_patched/cngpijmon/src/bjcupsmon_cups.c
+--- cnijfilter-source-3.60-1/cngpijmon/src/bjcupsmon_cups.c 2011-03-01 07:52:18.000000000 +0200
++++ cnijfilter-source-3.60-1_patched/cngpijmon/src/bjcupsmon_cups.c 2012-10-28 16:12:09.072093398 +0200
+@@ -18,8 +18,10 @@
+ */
+
+ /*** Includes ***/
++#define _IPP_PRIVATE_STRUCTURES 1
+ #include <cups/cups.h>
+ #include <cups/language.h>
++#include <cups/ppd.h>
+ #include <sys/types.h>
+ #include <unistd.h>
+ #include <pwd.h>
+
diff --git a/id.po.patch b/id.po.patch
new file mode 100644
index 00000000000..13f223fb2d0
--- /dev/null
+++ b/id.po.patch
@@ -0,0 +1,14 @@
+diff -ur cnijfilter-source-3.60-1/printui/po/id.po cnijfilter-source-3.60-1_patched/printui/po/id.po
+--- cnijfilter-source-3.60-1/printui/po/id.po 2011-05-31 03:57:34.000000000 +0300
++++ cnijfilter-source-3.60-1_patched/printui/po/id.po 2012-10-28 16:15:41.302148419 +0200
+@@ -1447,8 +1447,8 @@
+ "Paper Source: %s is not available for the selected Media Type.\n"
+ "Paper Source setting has been changed to %s."
+ msgstr ""
+-"Setelan Sumber Kertas saat ini tidak tersedia untuk Tipe Media yang dipilih.\n"
+-"Setelan Sumber Kertas telah diubah."
++"Setelan Sumber %s Kertas saat ini tidak tersedia untuk Tipe Media yang dipilih.\n"
++"Setelan Sumber Kertas telah diubah %s."
+
+ #. bkenh_enh
+ #: po/keystr.h:342
diff --git a/png.patch b/png.patch
new file mode 100644
index 00000000000..d250c70f552
--- /dev/null
+++ b/png.patch
@@ -0,0 +1,12 @@
+diff -ur cnijfilter-source-3.60-1/cnijfilter/src/bjfimage.c cnijfilter-source-3.60-1_patched/cnijfilter/src/bjfimage.c
+--- cnijfilter-source-3.60-1/cnijfilter/src/bjfimage.c 2011-02-17 03:45:45.000000000 +0200
++++ cnijfilter-source-3.60-1_patched/cnijfilter/src/bjfimage.c 2012-10-28 16:14:05.272123231 +0200
+@@ -1574,7 +1574,7 @@
+ goto onErr;
+ }
+
+- if (setjmp (png_p->jmpbuf))
++ if (setjmp (png_jmpbuf(png_p)))
+ {
+ png_destroy_read_struct(&png_p, &info_p, (png_infopp)NULL);
+ goto onErr;